Returns the specified UrlMap resource. Gets a list of available URL maps by making a list() request.
HTTP request
GET https://www.googleapis.com/compute/v1/projects/{project}/global/urlMaps/{resourceId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
resourceId |
Name of the UrlMap resource to return. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation | |
|---|---|
{ "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "hostRules": [ { "description": string, "hosts": [ string ], "pathMatcher": string } ], "pathMatchers": [ { "name": string, "description": string, "defaultService": string, "pathRules": [ { "service": string, "paths": [ string ] } ] } ], "tests": [ { "description": string, "host": string, "path": string, "service": string } ], "defaultService": string, "fingerprint": string, "kind": string } |
|
| Fields | |
|---|---|
id |
[Output Only] The unique identifier for the resource. This identifier is defined by the server. |
creationTimestamp |
[Output Only] Creation timestamp in RFC3339 text format. |
name |
Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression |
description |
An optional description of this resource. Provide this property when you create the resource. |
selfLink |
[Output Only] Server-defined URL for the resource. |
hostRules[] |
The list of HostRules to use against the URL. |
hostRules[].description |
An optional description of this resource. Provide this property when you create the resource. |
hostRules[].hosts[] |
The list of host patterns to match. They must be valid hostnames, except |
hostRules[].pathMatcher |
The name of the PathMatcher to use to match the path portion of the URL if the |
pathMatchers[] |
The list of named PathMatchers to use against the URL. |
pathMatchers[].name |
The name to which this PathMatcher is referred by the HostRule. |
pathMatchers[].description |
An optional description of this resource. Provide this property when you create the resource. |
pathMatchers[].defaultService |
The full or partial URL to the BackendService resource. This will be used if none of the
defaultRouteAction is additionally specified, advanced routing actions like URL Rewrites, etc. take effect prior to sending the request to the backend. However, if defaultService is specified, defaultRouteAction cannot contain any weightedBackendServices. Conversely, if defaultRouteAction specifies any weightedBackendServices, defaultService must not be specified. Only one of Authorization requires one or more of the following Google IAM permissions on the specified resource defaultService:
|
pathMatchers[].pathRules[] |
The list of path rules. Use this list instead of For example: a Only one of |
pathMatchers[].pathRules[].service |
The full or partial URL of the backend service resource to which traffic is directed if this rule is matched. If Only one of |
pathMatchers[].pathRules[].paths[] |
The list of path patterns to match. Each must start with |
tests[] |
The list of expected URL mapping tests. Request to update this UrlMap will succeed only if all of the test cases pass. You can specify a maximum of 100 tests per UrlMap. |
tests[].description |
Description of this test case. |
tests[].host |
Host portion of the URL. |
tests[].path |
Path portion of the URL. |
tests[].service |
Expected BackendService resource the given URL should be mapped to. |
defaultService |
The full or partial URL of the Only one of |
fingerprint |
Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a To see the latest fingerprint, make a A base64-encoded string. |
kind |
[Output Only] Type of the resource. Always |
Authorization Scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following Google IAM permissions:
compute.urlMaps.get


